<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Summary | GUDLFT Registration</title>
</head>
<body>
        <h2>Welcome, {{club['email']}} </h2><a href="{{url_for('logout')}}">Logout</a>
        Points available: {{club['points']}}
        {% with messages = get_flashed_messages()%}
            {% if messages %}
               {% for message in messages %}
                    <p>{{message}}</p>
                {% endfor %}
            {% endif%}
        {%endwith%}
    <h3>Competitions:</h3>
    <ul>
        {% for comp in competitions%}

                <li>
                    {{comp['name']}} </br>
                    Date: {{comp['date']}} </br>
                    Number of Places: {{comp['numberOfPlaces']}} </br>
                    {%if comp['numberOfPlaces']|int >0%}
                    <a href="{{ url_for('book',competition=comp['name'],club=club['name']) }}">Book Places</a>
                    {%endif%}
                </li>
                <hr />
        {% endfor %}

        {% for comp in oldCompetitions%}

                <li>
                    {{comp['name']}} </br>
                    Date: {{comp['points']}} </br>
                    Number of Places: {{comp['numberOfPlaces']}} </br>
                    Date passée
                </li>
                <hr />
        {% endfor %}
    </ul>

</body>
</html>